@font-face {
    font-family: 'VG5000';
    src: url(./fonts/VG5000.otf);
}

@font-face {
    font-family: 'Terminal-Grotesque';
    src: url(./fonts/terminal-grotesque.ttf);
}

@keyframes bg-move {
    0% {
        background-position: 0 0;
    }
    100% {
        background-position: 32px 32px;
    }
}


html {
    padding: 0 32px;
    margin: 0;
    color: white;
    background-color: black;
    background-image: url(./pattern.png);
    background-position: left top;
    font-family: 'Terminal-Grotesque';
    font-size: 1.5em;
    line-height: 1.5em;

    scroll-behavior: smooth;

    animation: bg-move 2s linear infinite;
}

h1, h2, h3 {
    font-family: 'VG5000';
}

h1 {
    font-size: 2.5em;
    color: #ff00FF;
    position: relative;
    width: 100%;
    height: 50vh;
    display: flex;
    justify-content: center;
    align-items: center;

    background-color: black;

    z-index: -1;
}

@keyframes gradient-move {
    0% {
        background-position: 0 0;
    }
    100% {
        background-position: 0 4px;
    }
}

h1::after {
    content: "";
    width: 100%;
    height: 100%;

    position: absolute;
    top: 0;
    left: 0;

    background-image: repeating-linear-gradient(
        to bottom,
        rgba(0,0,0,0.7) 0,
        rgba(0,0,0,0.7) 1px,
        transparent 3px,
        transparent 4px
    );

    animation: gradient-move 400ms linear infinite;
    
    outline: 4px solid white;
    outline-offset: -4px;
}

h2 {
    font-size: 2em;
    color: #00ff00;
    margin-top: 0;
}


h3 {
    font-size: 1.5em;
    color: #00ff00;
    margin-top: 8px;
    border-top: solid 4px white;
    padding-top: 16px;
}

h3::before {
    content: ">";
    margin-right: 8px;
}

li {
    color: #ff00FF;
}

em {
    color: gray;
}

#content {
    max-width: 1080px;
    margin: 0 auto;
}

.section {
    height: fit-content; /* calc(100vh - 64px - 48px);*/
    margin: 256px 64px;
    border: solid 4px white;
    position: relative;
    background-color: #000000;
}

.section-head {
    height: 64px;
    border-bottom: solid 4px white;

    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0 16px;
}

.favicon {
    width: 32px;
    height: 32px;
    background-size: contain;
}

.window-icons {
    display: flex;
    gap: 16px;
}

.window-icons img {
    width: 32px;
    height: 32px;
}

.section-body {
    padding: 32px;
}

nav {
    position: fixed;

    bottom: 8px;
    left: 50%;
    transform: translateX(-50%);

    width: fit-content;
    height: 32px;
    padding: 8px;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 8px;
    z-index: 1;

    background-color: black;
    border: solid 2px white;
}

.nav-item {
    width: 32px;
    height: 32px;
    cursor: pointer;
    opacity: 0.5;
}

.nav-active {
    opacity: 1;
}